Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.rim
Interface ClassificationSchemeType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, IdentifiableType, org.eclipse.emf.common.notify.Notifier, RegistryObjectType

All Known Implementing Classes:
  ClassificationSchemeTypeImpl

    public interface ClassificationSchemeType

extends RegistryObjectType

A representation of the model object 'Classification Scheme Type'. ClassificationScheme is the mapping of the same named interface in ebRIM. It extends RegistryObject.

The following features are supported:

- `Classification Node`
- `Is Internal`
- `Node Type`

See Also:
  `RimPackage.getClassificationSchemeType()`

Method Summary
`org.eclipse.emf.common.util.EList` | `getClassificationNode()` Returns the value of the 'Classification Node' containment reference list.
`java.lang.String` | `getNodeType()` Returns the value of the 'Node Type' attribute.
`boolean` | `isIsInternal()` Returns the value of the 'Is Internal' attribute.
`boolean` | `isSetIsInternal()` Returns whether the value of the '`Is Internal`' attribute is set.
`void` | `setIsInternal(boolean value)` Sets the value of the '`Is Internal`' attribute.
`void` | `setNodeType(java.lang.String value)` Sets the value of the '`Node Type`' attribute.
`void` | `unsetIsInternal()` Unsets the value of the '`Is Internal`' attribute.

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._3._0.rim.RegistryObjectType
`getClassification, getDescription, getExternalIdentifier, getLid, getName, getObjectType, getStatus, getVersionInfo, setDescription, setLid, setName, setObjectType, setStatus, setVersionInfo`

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._3._0.rim.IdentifiableType
`getHome, getId, getSlot, setHome, setId`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getClassificationNode

    org.eclipse.emf.common.util.EList getClassificationNode()

  Returns the value of the 'Classification Node' containment reference list. The list contents are of type `ClassificationNodeType`.

  If the meaning of the 'Classification Node' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Classification Node' containment reference list.
  See Also:
    `RimPackage.getClassificationSchemeType_ClassificationNode()`

### isIsInternal

    boolean isIsInternal()

  Returns the value of the 'Is Internal' attribute.

  If the meaning of the 'Is Internal' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Is Internal' attribute.
  See Also:
    `isSetIsInternal()`, `unsetIsInternal()`, `setIsInternal(boolean)`, `RimPackage.getClassificationSchemeType_IsInternal()`

### setIsInternal

    void setIsInternal(boolean value)

  Sets the value of the '`Is Internal`' attribute.

  Parameters:
    `value` - the new value of the 'Is Internal' attribute.
  See Also:
    `isSetIsInternal()`, `unsetIsInternal()`, `isIsInternal()`

### unsetIsInternal

    void unsetIsInternal()

  Unsets the value of the '`Is Internal`' attribute.

  See Also:
    `isSetIsInternal()`, `isIsInternal()`, `setIsInternal(boolean)`

### isSetIsInternal

    boolean isSetIsInternal()

  Returns whether the value of the '`Is Internal`' attribute is set.

  Returns:
    whether the value of the 'Is Internal' attribute is set.
  See Also:
    `unsetIsInternal()`, `isIsInternal()`, `setIsInternal(boolean)`

### getNodeType

    java.lang.String getNodeType()

  Returns the value of the 'Node Type' attribute.

  If the meaning of the 'Node Type' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Node Type' attribute.
  See Also:
    `setNodeType(String)`, `RimPackage.getClassificationSchemeType_NodeType()`

### setNodeType

    void setNodeType(java.lang.String value)

  Sets the value of the '`Node Type`' attribute.

  Parameters:
    `value` - the new value of the 'Node Type' attribute.
  See Also:
    `getNodeType()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD